Subject: Re: Update readelf to know about the new ELF constants

From: Ralf Baechle <[email-masked]>
Date: Sun, 3 Dec 2000 13:21:33 +0100

On Wed, Nov 29, 2000 at 01:10:58PM +0100, Maciej W. Rozycki wrote:

>  Well, I would only add the name should probably be EM_MIPS_R3_LE (and
> ditto the comment).  We might actually use it for mipsel-linux especially
> as the ABI explicitly states EM_MIPS is for big endian machines but I'm
> not sure it's worth bothering as the endianness is specified
> independently.

The entire ABI only covers big endianess, so you can't directly make
conclusions for little endian boxes based.  So whatever a little endian
system ``ABI compliant'' system does it's only based on an effort to stick
as closely as possible to the ABI.

> I believe all software involved should handle it well -- I recall Linux,
> glibc, binutils, modutils all handle both tags fine.  It's just BFD that
> does not generate EM_MIPS_R3_LE. 

  Ralf